edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TiXmlText Class Reference

XML text. More...

`#include <edelib/TiXml.h>`

Inheritance diagram for TiXmlText:

## Public Member Functions
| TiXmlText (const char *initValue)
| TiXmlText (const TiXmlText &copy)
void | operator= (const TiXmlText &base)
virtual void | Print (FILE *cfile, int depth) const
bool | CDATA () const
void | SetCDATA (bool _cdata)
virtual const TiXmlText * | ToText () const
virtual TiXmlText * | ToText ()
virtual bool | Accept (TiXmlVisitor *content) const
Public Member Functions inherited from TiXmlNode
const char * | Value () const
void | SetValue (const char *_value)
void | Clear ()
TiXmlNode * | Parent ()
const TiXmlNode * | Parent () const
const TiXmlNode * | FirstChild () const
TiXmlNode * | FirstChild ()
const TiXmlNode * | FirstChild (const char *value) const
TiXmlNode * | FirstChild (const char *_value)
const TiXmlNode * | LastChild () const
TiXmlNode * | LastChild ()
const TiXmlNode * | LastChild (const char *value) const
TiXmlNode * | LastChild (const char *_value)
const TiXmlNode * | IterateChildren (const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const char *value, const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const char *_value, const TiXmlNode *previous)
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
bool | RemoveChild (TiXmlNode *removeThis)
const TiXmlNode * | PreviousSibling () const
TiXmlNode * | PreviousSibling ()
const TiXmlNode * | PreviousSibling (const char *) const
TiXmlNode * | PreviousSibling (const char *_prev)
const TiXmlNode * | NextSibling () const
TiXmlNode * | NextSibling ()
const TiXmlNode * | NextSibling (const char *) const
TiXmlNode * | NextSibling (const char *_next)
const TiXmlElement * | NextSiblingElement () const
TiXmlElement * | NextSiblingElement ()
const TiXmlElement * | NextSiblingElement (const char *) const
TiXmlElement * | NextSiblingElement (const char *_next)
const TiXmlElement * | FirstChildElement () const
TiXmlElement * | FirstChildElement ()
const TiXmlElement * | FirstChildElement (const char *_value) const
TiXmlElement * | FirstChildElement (const char *_value)
int | Type () const
const TiXmlDocument * | GetDocument () const
TiXmlDocument * | GetDocument ()
bool | NoChildren () const
virtual const TiXmlDocument * | ToDocument () const
virtual const TiXmlElement * | ToElement () const
virtual const TiXmlComment * | ToComment () const
virtual const TiXmlUnknown * | ToUnknown () const
virtual const TiXmlDeclaration * | ToDeclaration () const
virtual TiXmlDocument * | ToDocument ()
virtual TiXmlElement * | ToElement ()
virtual TiXmlComment * | ToComment ()
virtual TiXmlUnknown * | ToUnknown ()
virtual TiXmlDeclaration * | ToDeclaration ()
virtual TiXmlNode * | Clone () const =0
Public Member Functions inherited from TiXmlBase
int | Row () const
int | Column () const
void | SetUserData (void *user)
void * | GetUserData ()
const void * | GetUserData () const

## Friends
class | TiXmlElement

## Additional Inherited Members
Public Types inherited from TiXmlNode
enum | NodeType { DOCUMENT, ELEMENT, COMMENT, UNKNOWN, TEXT, DECLARATION, TYPECOUNT }
Static Public Member Functions inherited from TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
Protected Member Functions inherited from TiXmlNode
| TiXmlNode (NodeType _type)
void | CopyTo (TiXmlNode *target) const
TiXmlNode * | Identify (const char *start, TiXmlEncoding encoding)
Static Protected Member Functions inherited from TiXmlBase
static const char * | ReadName (const char *p, edelib::String *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, edelib::String *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static void | PutString (const edelib::String &str, edelib::String *out)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

XML text.

A text node can have 2 ways to output the next. "normal" output and CDATA. It will default to the mode it was parsed from the XML file and you generally want to leave it alone, but you can change the output mode with SetCDATA() and query it with CDATA().

## Constructor & Destructor Documentation

TiXmlText | ( | const char * | initValue | ) |
| inline

Constructor for text element. By default, it is treated as normal, encoded text. If you want it be output as a CDATA text element, set the parameter _cdata to 'true'

References TiXmlNode::SetValue().

TiXmlText | ( | const TiXmlText & | copy | ) |
| inline

Constructor accepting another TiXmlText

References TiXmlNode::CopyTo().

## Member Function Documentation

virtual bool Accept | ( | TiXmlVisitor * | content | ) | const
| virtual

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

bool CDATA | ( |  | ) | const
| inline

Queries whether this represents text using a CDATA section

void operator= | ( | const TiXmlText & | base | ) |
| inline

Accept another TiXmlText

References TiXmlNode::CopyTo().

virtual void Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const
| virtual

Write this text object to a FILE stream

Implements TiXmlBase.

void SetCDATA | ( | bool | _cdata | ) |
| inline

Turns on or off a CDATA representation of text

virtual const TiXmlText* ToText | ( |  | ) | const
| inline virtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

virtual TiXmlText* ToText | ( |  | ) |
| inline virtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

The documentation for this class was generated from the following file:

- edelib/TiXml.h